# Contributors

The EML project is an open source, community oriented project dedicated to providing a high-quality metadata specification for describing data relevant to diverse disciplines that involve observational research like ecology, earth, and environmental science. The specification is maintained by [voluntary project members](docs/contributors.md) who donate their time and experience in order to advance information management for ecology. Project decisions are made by consensus of the current maintainers on the project.

We welcome contributions to this work in any form.  Individuals
who invest substantial amounts of time and make valuable
contributions to the development and maintenance of EML (in the
opinion of current project maintainers) will be invited to become
EML project maintainers. Contributions can take many forms, including the
development of the EML schemas, writing documentation, and helping
with maintenance, among others.

Write access to the EML source code repository is reserved for
EML project maintainers. Contributions should be submitted as pull
requests, and will be reviewed and merged by an EML project member.

## Current maintainers

Name | Organization | Email | ORCID
----|---------------|-------|-------
Matthew Jones | NCEAS, UCSB | jones@nceas.ucsb.edu | [0000-0003-0077-4738](https://orcid.org/0000-0003-0077-4738)
Margaret O'Brien | EDI, UCSB | mob@msi.ucsb.edu | [0000-0002-1693-8322](https://orcid.org/0000-0002-1693-8322)
Bryce Mecum | NCEAS, UCSB | mecum@nceas.ucsb.edu | [0000-0002-0381-3766](https://orcid.org/0000-0002-0381-3766)
Carl Boettiger |Berkeley | cboettig@berkeley.edu | [0000-0002-1642-628X](https://orcid.org/0000-0002-1642-628X)
Mark Schildhauer | NCEAS, UCSB | schild@nceas.ucsb.edu | [0000-0003-0632-7576](https://orcid.org/0000-0003-0632-7576)
Mitchell Maier | NCEAS, UCSB | mmaier@ucsb.edu | [0000-0001-6955-0535](https://orcid.org/0000-0001-6955-0535)
Timothy Whiteaker | | whiteaker@utexas.edu | [0000-0002-1940-4158](https://orcid.org/0000-0002-1940-4158)
Stevan Earl | LTER, ASU | stevan.earl@asu.edu | [0000-0002-4465-452X](https://orcid.org/0000-0002-4465-452X)
Steven Chong | NCEAS, UCSB | chong@nceas.ucsb.edu | [0000-0003-1264-1166](https://orcid.org/0000-0003-1264-1166)

## Past contributors

Name | Organization | Email
----|---------------|------
Chad Berkley | NCEAS, UCSB | berkley@nceas.ucsb.edu
Chris Jones | NCEAS, UCSB | cjones@nceas.ucsb.edu
Jivka Bojilova | NCEAS, UCSB | bojilova@nceas.ucsb.edu
James Brunt | LTER, UNM | brunt@ecoinformatics.org
David Blankman | LTER-Israel, Ma'arg | blankman@ecoinformatics.org
Owen Eddins | LTER LNO, UNM | oeddins@lternet.edu
Daniel Higgens | NCEAS, UCSB | higgins@nceas.ucsb.edu
Peter McCartney | LTER CAP, ASU | mccartney@ecoinformatics.org
Matthew Brooke | NCEAS, UCSB | brooke@ecoinformatics.org
John Harris | NCEAS, UCSB | harris@nceas.ucsb.edu
Scott Chapal | Jones Ecological Research Center | chapal@ecoinformatics.org
Tim Bergsma | LTER KBS, MSU | bergsma@ecoinformatics.org
Ken Ramsey | LTER JRN, NMSU | ramsey@ecoinformatics.org
Corinna Gries | EDI, UW | gries@ecoinformatics.org
Saurabh Garg | NCEAS, UCSB | sgarg@ecoinformatics.org
Mark Servilla | EDI, UNM | servilla@ecoinformatics.org

